Summary: Next generation filemanager and SMB network navigator for XFce4
Name: xffm
Version: 4.2.0
Release: 1
License: GPL
URL: http://www.xfce.org/
Source0: http://www.xfce.org/archive/xfce-4.0.1/src/%{name}-%{version}.tar.bz2

Patch: xffm-4.2.0-rpath.patch

Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prereq: /sbin/ldconfig

Requires: dbh >= 1.0
Requires: glib2 >= 2.0.0
Requires: gtk2 >= 2.0.0
Requires: libxfce4mcs >= %{version}
Requires: libxfce4util >= %{version}
Requires: libxfcegui4 >= %{version}
Requires: libxml2 >= 2.4.0

BuildRequires: dbh-devel >= 1.0
BuildRequires: glib2-devel >= 2.0.0
BuildRequires: gtk2-devel >= 2.0.0
BuildRequires: libxfce4mcs-devel >= %{version}
BuildRequires: libxfce4util-devel >= %{version}
BuildRequires: libxfcegui4-devel >= %{version}
BuildRequires: libxml2-devel >= 2.4.0
BuildRequires: xfce-mcs-manager-devel >= %{version}

%description
This package includes a filemanager and SMB network navigator for XFce4.

%prep
%setup -q

%patch -p1 -b .rpath

%build
%configure

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT mandir=%{_mandir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO ChangeLog NEWS INSTALL COPYING AUTHORS
%{_bindir}/*
%{_libdir}/lib*
%{_libdir}/pkgconfig/*
%{_libdir}/xfce4/mcs-plugins/*
%{_libdir}/xfce4/xffm/*
%{_datadir}/xffm
%{_datadir}/xfce4/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/*/*
%{_mandir}/man?/*

%changelog
* Fri Jan 28 2005 Than Ngo <than@redhat.com> 4.2.0-1 
- update to 4.0.6

* Thu Jun 17 2004 Than Ngo <than@redhat.com> 4.0.5-4
- own %{_datadir}/xffm, bug #124825
- use %%find_lang macros, bug #124954
- add buildrequires on xfce-mcs-manager-devel, bug #125061

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May 13 2004 Than Ngo <than@redhat.com> 4.0.5-2
- get rid of rpath
- fix gcc34 build problem

* Thu Apr 15 2004 Than Ngo <than@redhat.com> 4.0.5-1
- update to 4.0.5

* Thu Mar 11 2004 Than Ngo <than@redhat.com> 4.0.3-4
- fixed gcc-3.4 build problem

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Than Ngo <than@redhat.com> 4.0.3-2
- fixed dependant libraries check on x86_64

* Wed Jan 14 2004 Than Ngo <than@redhat.com> 4.0.3-1
- update 4.0.3

* Thu Dec 25 2003 Than Ngo <than@redhat.com> 4.0.2-1
- 4.0.2 release

* Tue Dec 16 2003 Than Ngo <than@redhat.com> 4.0.1-1
- initial build
